Subject: [6lo] FW: New Version Notification for draft-li-6lo-native-short-address-02.txt

From: "Liguangpeng (Roc, Network Technology Laboratory)" <[email-masked]>
Date: Sat, 12 Mar 2022 23:58:14 +0000

Dear 6lo WG,

Since we have submited new version of draft(-02) that aims to address comments from Carsten Bormann and other experts, I suggest moving discussion from thread at https://mailarchive.ietf.org/arch/msg/6lo/mMqVctND3yA8C0WQAX73Pi77jtk/ to this one. It will also be convenience for others to be aware of new comments from Brian Carpenter and Adnan Rashid who (in cc list) gave comments on -02 version directly to authors of this draft. 

After agreement of Brian, I attach his technical comments here because he is not on 6lo list. The authors will update draft accordingly once after IETF 113. Welcome further discussion on this in 6lo mailing list.

> Thanks for reminding me of your draft. I have not gone into all the 
> details, but the basic idea seems solid to me.
>
> Do you expect to allow use of IPSEC between an NSA node and a normal 
> node?
> If so, is the security association based on a 128-bit address?
> Similarly for TCP or UDP sessions with normal nodes - how is the TCP 
> or UDP checksum calculated? Does the upper layer software in an NSA 
> node know what the full IPv6 address is?
>
> Perhaps this point needs to be discussed in section 4.1 "NSA 
> Addresses
>and
> IPv6 Addresses".

Thanks all for providing help and comments to this draft. Hope everyone has a fruitful IETF 113.

Best Regards,
Guangpeng Li 

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Saturday, March 5, 2022 9:24 AM
To: Zhe Lou <[email-masked]>; Liguangpeng (Roc, Network Technology Laboratory) <[email-masked]>; Luigi IANNONE <[email-masked]>; Peng Liu <[email-masked]>; Rong Long <[email-masked]>; Zhe Lou <[email-masked]>
Subject: New Version Notification for draft-li-6lo-native-short-address-02.txt

A new version of I-D, draft-li-6lo-native-short-address-02.txt
has been successfully submitted by Guangpeng Li and posted to the IETF repository.

Name:		draft-li-6lo-native-short-address
Revision:	02
Title:		Native Short Addressing for Low power and Lossy Networks Expansion
Document date:	2022-03-04
Group:		Individual Submission
Pages:		26
URL:            https://www.ietf.org/archive/id/draft-li-6lo-native-short-address-02.txt
Status:         https://datatracker.ietf.org/doc/draft-li-6lo-native-short-address/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-li-6lo-native-short-address
Diff:           https://www.ietf.org/rfcdiff?url2=draft-li-6lo-native-short-address-02

Abstract:
   This document specifies a topological addressing scheme, Native Short
   Address (NSA) that enables IP packet transmission over links where
   the transmission of a full length address may not be desirable.  This
   document focuses on carrying IP packets across an LLN (Low power and
   Lossy Network), in which the topology is relatively static where
   nodes' location is fixed and the connection between nodes is rather
   stable.  The changes in the logical topology are only caused by non-
   frequent disconnection in the link.  The specifications details the
   NSA architecture, address allocation, forwarding mechanism, header
   format design, including length-variable fields, and IPv6
   interconnection support.

The IETF Secretariat